Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Libraries used by other programs for reading and writing PNG files.
Name:      	libpng
Version:   	1.4.5
Release:   	1
BuildArch:	i686
License: 	GNU/GPL
URL:		http://libpng.sf.net
Group:     	System/Libraries
Source0: 	libpng-%{version}.tar.xz
# apng extension patch
# http://littlesvr.ca/apng/
Patch0:		libpng-%{version}-apng.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: 	libpng(APNG) = 0.10

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: zlib-devel

%description
Libraries used by other programs for reading and writing PNG files.

%package devel
Summary: 	libpng development headers.
Group:     	System/Libraries
Requires: 	libpng = %{version}

%description devel
Header and include files for developing applications with libpng.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn libpng-%{version}
%patch0 -p0

%build
# libtool currently breaks compilation
#./autogen.sh
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/libpng-config
%_bindir/libpng14-config
%_libdir/libpng*.so.*
%_mandir/man3/libpng*.3.gz

%files devel
%defattr(-,root,root)
%_libdir/libpng*.so
%_libdir/libpng*.a
%_libdir/libpng*.la
%_libdir/pkgconfig/libpng*.pc
%_includedir/libpng14/
%_includedir/png.h
%_includedir/pngconf.h
%{_mandir}/man5/png.5.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.5-1
- Version update
* Fri Sep 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4-1
- Version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.3-1
- Version update
* Mon Jun 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.44-1
- Version update
* Tue Dec 01 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.40-1
- Version update
- readded apng patch (xulrunner/ffx/tbird get torn apart otherwise)
* Tue Dec 01 2009 Christian Metzen <metzench@ccux-linux.de> 1.2.39-1
- Version update
- drop apng patch for now
* Thu Dec 18 2008 Christian Wasem <wasem@ccux-linux.de> 1.2.34-1
- Version Update
* Sat Nov 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.33-1
- Version Update
* Sat Sep 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.32-1
- Version Update
* Thu May 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.29-1
- Version Update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.28-1
- Version Update
* Fri Apr 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.26-1
- Version Update
* Sat Mar 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.25-2
- added APNG support
* Tue Feb 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.25-1
- Version Update
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.24-1
- Version Update
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.23-1
- Version Update
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.22-1
- Version Update
* Sat Aug 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.19-1
- Version Update
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.18-1
- Version Update
* Thu Jan 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.16-1
- Version Update
* Sat Dec 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.14-1
- Version Update
* Thu Nov 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.13-1
- Version Update
* Wed Jun 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.12-1
- Version Update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.10-1
- Version Update
* Mon Apr 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.9-2
- redefined files list
* Sun Apr 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-1
- Version Update
- removed link-patch
- adapted build process
* Sun Mar 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.8-1
- Version Update to 1.2.8
* Thu Aug 19 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.6-1
- Initial Release
